HARVESTTOOLS(1)

NAME
harvesttools - archiving and postprocessing for reference-compressed genomic multi-alignments

SYNOPSIS
harvesttools <options>

DESCRIPTION
Harvesttools is a utility for creating and interfacing with Gingr files, which are efficient archives that the Harvest Suite uses to store reference-compressed multi-alignments, phylogenetic trees, filtered variants and annotations. Though designed for use with Parsnp and Gingr, HarvestTools can also be used for generic conversion between standard bioinformatics file formats.

OPTIONS

-i <Gingr input>

-b <bed filter intervals>,<filter name>,"<description>"

-B <output backbone intervals>

-f <reference fasta>

-F <reference fasta out>

-g <reference genbank>

-a <MAF alignment input>

-m <multi-fasta alignment input>

-M <multi-fasta alignment output (concatenated LCBs)>

-n <Newick tree input>

-N <Newick tree output>

--midpoint-reroot (reroot the tree at its midpoint after loading)

-o <Gingr output>

-S <output for multi-fasta SNPs>

-u 0/1 (update the branch values to reflect genome length)

-v <VCF input>

-V <VCF output>

-x <xmfa alignment file>

-X <output xmfa alignment file>

-h (show this help)

-q (quiet mode)

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.